<!DOCTYPE html>
<html lang="en">
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <!-- Hinzufügen -->
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>SmartBooks</title>

    <!-- Hinzufügen -->

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="/css/basic.css">
    <script type="text/javascript" src="/js/validation.js"></script>
</head>
<body>
<section class="navigation">
    <nav>
        <a href="/"><img id="logo" src="/img/logo.png"></a>
        <ul>
            <li><a href="/search">Suche</a></li>
            <li><a href="/impressum">Impressum</a></li>
        </ul>
    </nav>
</section>
<section class="content" id="create" >
    <div id="message"></div>
    <h1>Buch erstellen</h1>
            <form action="/book/create" name="form" method="post" th:object="${PlattformItem}">
                <input type="hidden" name="PlattformItem.id" th:value="${itemID != null} ? ${itemId} : 'null'" />
            <div class="createInputField">
                <label>Titel:</label> <input type="text" class="form-control" name="PlattformItem.titel" placeholder="Titel" />
            </div>
            <div class="createInputField">
                <label>ISBN:</label> <input type="text" class="form-control" name="PlattformItem.isbn" placeholder="ISBN"/>
            </div>
            <div class="createInputField">
                <label>Autor:</label> <input type="text" class="form-control" name="PlattformItem.author" placeholder="Author"/>
            </div>
            <div class="createInputField">
                <label>Veröffentlichkeits Datum:</label> <input type="date" class="form-control" name="PlattformItem.veroeff_dat" placeholder="Veröffentlichkeits Datum"/>
            </div>
            <div class="createInputField">
                <label>Buch Version:</label> <input type="text" class="form-control" name="PlattformItem.version" placeholder="Buch Version"/>
            </div>
            <div class="createInputField">
                <label>Preis:</label> <input type="text" class="form-control" name="PlattformItem.preis" placeholder="Preis"/>
            </div>
            <div class="createInputField">
                <label>Hochschule:</label> <input type="text" class="form-control" name="PlattformItem.hochschule" placeholder="Hochschule"/>
            </div>
            <div class="createInputField">
                <label>Hochschulabteilung:</label> <input type="text" class="form-control" name="PlattformItem.hs_abteilung" placeholder="Hochschulabteilung"/>
            </div>
            <div class="createInputField">
                <label>Ort der Hochschule:</label> <input type="text" class="form-control" name="PlattformItem.hs_ort" placeholder="Ort der Hochschule"/>
            </div>
            <div class="createInputField">
                <label>Studiengang:</label> <input type="text" class="form-control" name="PlattformItem.studiengang" placeholder="Studiengang"/>
            </div>
            <div class="createInputField">
                <label>Benutzername:</label> <input type="text" class="form-control" name="PlattformItem.benutzername" placeholder="Benutzername"/>
            </div>
            <div class="createInputField">
                <label>Benutzer E-Mail:</label> <input type="text" class="form-control" name="PlattformItem.email" placeholder="E-Mail"/>
            </div>
            <input type="submit" class="form-control" id="submit" value="Erstellen"/>
        </form>
</section>
<script>
    var submitBtn = document.getElementById("submit");
    submitBtn.addEventListener('click', validateForm);

</script>
</body>
</html>